EDIT - feature request #5873

Implement rights&roles for TaxEditor distribution editor
06/08/2016 01:06 PM - Andreas Mller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

The Checklist Editor in the TaxEditor opens all taxa of a subtree and allows editing of distributions.

This requires that the user has the required insert, update and delete permission on the given subtree and on the distribution feature.
Otherwise the menu entry should be disabled.

If it is possible to reduce rights for certain subsubtrees the according taxa need to be disabled in the Checklist Editor. E.g. someone
has UPDATE rights on Family A but on a single Genus G in this family he has no rights the taxa in the genus should be
disabled/locked.

We want to give explicit rughts only for editing distributions therefore we need the the possibility to add the feature as property string
to the authority in the rights view of the editor.

Related issues:
Related to EDIT - feature request #3709: [E+M][Editor] sufficient rights mana... Resolved
Related to EDIT - feature request #8239: Rights issues in TaxEditor New

Associated revisions

Revision 1503d9ad - 10/01/2019 01:20 PM - Katja Luther

ref #5873: check rights for selected subtree for distribution editor

Revision €913a037 - 10/01/2019 01:28 PM - Katja Luther

ref #5873: filter nodes without permission

Revision d48b6aa4 - 10/01/2019 03:02 PM - Katja Luther

ref #5873: authentication as parameter for service method

Revision d3796291 - 10/01/2019 03:03 PM - Katja Luther
ref #5873: check for general description editing right

Revision d0a4f3d9 - 10/02/2019 10:44 AM - Katja Luther

ref #5873: performance issues

History

#1 - 06/20/2017 08:17 AM - Andreas Kohlbecker
- Related to feature request #3709: [E+M][Editor] sufficient rights management for E+M workflow added

#2 - 04/02/2019 12:06 PM - Andreas Miiller

- Subject changed from Implement rightsé&roles for TaxEditor checklist editor to Implement rights&roles for TaxEditor distribution editor
- Description updated

- Assignee changed from Andreas Kohlbecker to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.6

We should at least very soon know, how far rights&role work for distribution editor. And define what still needs to be done to make it fully work.
#3 - 04/10/2019 12:22 PM - Katja Luther

actually the distribution editor can be opened but the save throws a permission denied exception.

e We need a check whether the user has the rights on editing descriptions of the selected nodes.
e |f the user does not have the rights at all, the menu item should not appear.

¢ If the user has the rights only on a subset only this subset should be opened in distribution editor.

#4 - 04/11/2019 12:02 PM - Katja Luther
- Related to feature request #8239: Rights issues in TaxEditor added

#5 - 04/11/2019 12:03 PM - Katja Luther

- Target version changed from Release 5.6 to Release 5.7

#6 - 05/03/2019 04:51 PM - Katja Luther

- Target version changed from Release 5.7 to Release 5.8

#7 - 07/19/2019 03:27 PM - Andreas Miuller

- Target version changed from Release 5.8 to Release 5.10

#8 - 09/18/2019 01:03 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

#9 - 10/01/2019 01:33 PM - Katja Luther

- Status changed from New to In Progress

implemented:

e check in OpenDistributionEditorHandler whether the user has the permission to edit subtree.
e filter nodes the user has permission to edit

#10 - 10/02/2019 12:37 PM - Katja Luther

- Description updated

#11 - 11/04/2019 11:00 AM - Andreas Miiller

- Private changed from Yes to No

#12 - 11/04/2019 12:53 PM - Andreas Kohlbecker

- Tags changed from faunaEuropaea, euro+med, security to faunaEuropaea, euro+med, security, permission

#13 - 11/05/2019 12:42 PM - Katja Luther

- Target version changed from Release 5.11 to Release 5.12

| reverted some of the changes because it worked only if the user had rights on a subtree. so move the ticket to 5.12

#14 - 01/16/2020 01:12 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#15 - 03/10/2020 09:58 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#16 - 04/08/2020 05:01 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#17 - 04/22/2020 10:20 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#18 - 12/04/2020 09:08 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19
#19 - 01/27/2021 04:46 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#20 - 03/11/2021 09:05 AM - Katja Luther

- Target version changed from Release 5.21 to Release 5.22

#21 - 04/19/2021 04:32 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
